"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.https = exports.number = exports.email = exports.required = exports.checked = void 0;
var helpers_1 = require("@amalto/helpers");
var wordings_1 = require("@amalto/wordings");
var error = function (id, locale) {
    var wordings = (0, helpers_1.compileWordings)(wordings_1.MULTILANGUAGE_WORDINGS, locale);
    return wordings[id] || wordings.invalidField || 'Error';
};
var checked = function (value, locale) {
    return value ? undefined : error('fieldRequired', locale);
};
exports.checked = checked;
var required = function (value, locale) {
    return (0, helpers_1.isNotEmpty)(value) ? undefined : error('fieldRequired', locale);
};
exports.required = required;
var email = function (value, locale) {
    return (0, helpers_1.isValidEmail)(value) ? undefined : error('invalidEmail', locale);
};
exports.email = email;
var number = function (value, locale) {
    return value && isNaN(Number(value)) ? error('invalidNumber', locale) : undefined;
};
exports.number = number;
var https = function (value, locale) {
    return value && (0, helpers_1.isValidHttpsUrl)(value) ? undefined : error('invalidUrl', locale);
};
exports.https = https;
//# sourceMappingURL=index.js.map